Add note about dependency tracking.
[gpg4win.git] / TODO
1                                                           -*- outline -*-
2 * next release
3
4   We need tocheck whether setting Threadpriority in 01-giowin32.pacth
5   is still required.  It is not in upstream.
6
7   02-gspawn-w32.patch is required.
8   03-gspawn-w32-fixup.patch is required.
9
10   (04-* is not required).
11
12 * I18n:
13 ** There is no advantage to conditionally define translation strings,
14    as the tables are purged of unnecessary strings by makensis.  Thus
15    we should probably define strings where they are used, rather in the
16    inst-*.nsi files of the package to which they belong.  This would
17    also simplify management of po/POFILES.in.
18 ** Dependency tracking is partly missing: The installer should depend on
19    catalogs.nsi and any included LANG.nsi.  gettext usually works at
20    run-time, and thus there is no canonical support for this already.
21 ** /bin/bash is used unconditionally in po/Makevars.
22 ** nsis-msgfmt could check if a language file (nlf/nsh) exists for the
23    installed version of makensis/Modern UI.
24 ** po/Rules-nsis requires a compiler for the build platform, and an installed
25    libgettextpo.  None of this is configurable at this point.
26 ** nsis-xgettext.awk could be made more robust, although there is no
27    strong need.
28 ** Test what happens with --disable-nls.
29
30 * Build system
31 ** Some versions of strip don't work.
32    Werner's GNU strip 2.15.91 20040904 is fine but
33    Marcus'  GNU strip 2.15.94 20050118 does not work.
34 ** Mo file installation macro
35
36 * Component related issues:
37 ** Check which iconv to use !!
38 ** Finish integration of GnuPG.
39 ** Add the missing packages: Sylpheed Eudore extensions.
40 ** Remove the /nonfatal from the keyserver helper installing
41      This might need that we check what files are actually available.
42
43 * The following items are related to package auto-detection and
44    configuration.  They are not critical.
45 ** BUG: If there is more than one version of a package, the script
46    breaks.  The GPG4WIN_FIND function must filter and pick one of the
47    matches.
48 ** GLITCH: If unnecessary dependency packages are enabled, they are
49    included in the installer, although they never will be (and can't
50    be) installed (they can't be installed because they can't be
51    selected).  To fix this, configure would need to know which
52    packages can be selected and which can't.
53 ** Invent something clever to cope with new versions of packages, which
54    may have a different file list.  We can't use globs because Delete
55    must still work.  Either have inst-PACKAGE-VERSION.nsi files, or
56    have globs plus some scripting to generate the .nis files. !
57 ** Record the dependencies in the build list in the gpg4win.mk.in
58    Makefile using make dependencies between the stamp-final-$(1)
59    targets.  This would hopefully ensure that parallel makes work. !
60
61
62
63 Copyright 2005 g10 Code GmbH
64
65 This file is free software; as a special exception the author gives
66 unlimited permission to copy and/or distribute it, with or without
67 modifications, as long as this notice is preserved.
68
69 This file is distributed in the hope that it will be useful, but
70 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
71 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
72 PURPOSE.
73